org.apache.ignite.internal.processors.cache.persistence.file

## Class FilePageStoreV2

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.file.FilePageStore
  - - org.apache.ignite.internal.processors.cache.persistence.file.FilePageStoreV2

All Implemented Interfaces:
  PageStore

    public class FilePageStoreV2
    extends FilePageStore

### Field Summary

Fields
`static int` `VERSION` File version.

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.file.FilePageStore

`dbCfg, HEADER_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`FilePageStoreV2(byte type, File file, FileIOFactory factory, DataStorageConfiguration cfg, AllocatedPageTracker allocatedTracker)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `headerSize()` Size of page store header.
`int` `version()` Page store version.

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.file.FilePageStore

`allocatePage, beginRecover, ensure, exists, finishRecover, header, pageOffset, pages, read, readHeader, stop, sync, truncate, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VERSION

    public static final int VERSION

File version.

See Also:
  Constant Field Values

### Constructor Detail

#### FilePageStoreV2

    public FilePageStoreV2(byte type,
                           File file,
                           FileIOFactory factory,
                           DataStorageConfiguration cfg,
                           AllocatedPageTracker allocatedTracker)

Parameters:
  `type` - Type.
  `file` - File.
  `factory` - Factory.
  `cfg` - Config.
  `allocatedTracker` - Metrics updater

### Method Detail

#### headerSize

    public int headerSize()

Size of page store header.

Overrides:
  `headerSize` in class `FilePageStore`

#### version

    public int version()

Page store version.

Specified by:
  `version` in interface `PageStore`
Overrides:
  `version` in class `FilePageStore`
Returns:
  Page store version.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018